<?php
/*******************************************************************************
*  Title: LinkMan reciprocal link manager
*  Version: 1.7 @ April 18, 2009
*  Author: Klemen Stirn
*  Website: http://www.phpjunkyard.com
********************************************************************************
*  COPYRIGHT NOTICE
*  Copyright 2004-2009 Klemen Stirn. All Rights Reserved.
*
*  This script may be used and modified free of charge by anyone
*  AS LONG AS COPYRIGHT NOTICES AND ALL THE COMMENTS REMAIN INTACT.
*  By using this code you agree to indemnify Klemen Stirn from any
*  liability that might arise from it's use.
*
*  Selling the code for this program, in part or full, without prior
*  written consent is expressly forbidden. Using this code, in part or full,
*  to create competing scripts or products is expressly forbidden.
*
*  Obtain permission before redistributing this software over the Internet
*  or in any other medium. In all cases copyright and header must remain
*  intact. This Copyright is in full effect in any country that has
*  International Trade Agreements with the United States of America or
*  with the European Union.
*
*  Removing any of the copyright notices without purchasing a license
*  is illegal! To remove PHPJunkyard copyright notice you must purchase a
*  license for this script. For more information on how to obtain a license
*  please visit the site below:
*  http://www.phpjunkyard.com/copyright-removal.php
*******************************************************************************/

define('IN_SCRIPT',1);
require('settings.php');
require('lave.php');
ini_set('user_agent', 'LinkMan '.$settings['verzija'].' by http://www.phpjunkyard.com');

/* Accepting any more links? */
$lines = @file($settings['linkfile']);
if (count($lines)>$settings['max_links'])
{
    problem('We are not accepting any more links at the moment. We appologize for the inconvenience!');
}

/* Check user input */
$name  = pj_input($_POST['name'],'Please enter your name!');
$email = pj_input($_POST['email'],'Please enter your e-mail address!');
if (!preg_match('/([\w\-]+\@[\w\-]+\.[\w\-]+)/',$email))
{
    problem('Please enter a valid e-mail address!');
}
$title = pj_input($_POST['title'],'Please enter the title (name) of your website!');
if (strlen($title)>50)
{
    problem('Title is too long! Limit website title to 50 chars!');
}

$url   = pj_input($_POST['url'],'Please enter the URL of your website!');
if (!(preg_match('/(http:\/\/+[\w\-]+\.[\w\-]+)/i',$url)))
{
    problem('Please enter valid URL of your website!');
}

$recurl = pj_input($_POST['recurl'],'Please enter the url where a reciprocal link to our site is placed!');
if (!(preg_match('/(http:\/\/+[\w\-]+\.[\w\-]+)/i',$recurl)))
{
    problem('Please enter valid URL of the page where the reciprocal link to our site is placed!');
}

/* Compare URL and Reciprocal page URL */
$parsed_url = parse_url($url);
$parsed_rec = parse_url($recurl);
if ($parsed_url['host'] != $parsed_rec['host'])
{
    problem('The reciprocal link must be placed under the same (sub)domain as your link is!');
}

$url    = str_replace('&amp;','&',$url);
$recurl = str_replace('&amp;','&',$recurl);

$description = pj_input($_POST['description'],'Please write a short description of your website!');
if (strlen($description)>200)
{
    problem('Description is too long! Description of your website is limited to 200 chars!');
}

/* Check if the website is banned */
if ($mydata = file_get_contents($settings['banfile']))
{
	/* Check website URL */
	$regex = str_replace(array('http://www.','http://'),'http://(www\.)?',$url);
	$regex = preg_replace('/index\.[^\/]+$/','',$regex);
	$regex = str_replace('/','\/',rtrim($regex,'/'));
	$regex = '/'.$regex.'\/?(index\.[^\/]+)?/i';
	if (preg_match($regex,$mydata))
	{
		problem('This website has been permanently banned from our link exchange!');
	}

	/* Check reciprocal link URL */
	$regex = str_replace(array('http://www.','http://'),'http://(www\.)?',$recurl);
	$regex = preg_replace('/index\.[^\/]+$/','',$regex);
	$regex = str_replace('/','\/',rtrim($regex,'/'));
	$regex = '/'.$regex.'\/?(index\.[^\/]+)?/i';
	if (preg_match($regex,$mydata))
	{
		problem('This website has been permanently banned from our link exchange!');
	}

	unset($mydata);
}

/* Check title and description for possible spam problems */
pj_edoced('WYgKCFpc3NldCgkc2V0dGluZ3NbJ3ZlcnppamEnXSkpIHtkaWUoJ1RoaXMgY29kZSBjYW
5ub3QgYmUgdXNlZCBvdXRzaWRlIExpbmtNYW4gZnJvbSB3d3cucGhwanVua3lhcmQuY29tJyk7fSBmdW
5jdGlvbiBwal9jaGVja0hUTUwoJGh0bWwpIHsgICAgJGh0bWwgPSBzdHJ0b2xvd2VyKCRodG1sKTsgIC
AgJHNwYW1fd29yZHNfaGFyZCA9IHBqX3NwYW1fd29yZHNfaGFyZCgpOyAgICBmb3JlYWNoICgkc3BhbV
93b3Jkc19oYXJkIGFzICRzdykgeyAgICAgICAgaWYgKHN0cnBvcygkaHRtbCwkc3cpIT09ZmFsc2UpIH
sgICAgICAgICAgICByZXR1cm4gZmFsc2U7ICAgICAgICB9ICAgIH0gICAgcmV0dXJuIHRydWU7fWZ1bm
N0aW9uIHBqX2NoZWNrVGl0bGVEZXNjKCR0aXRsZSwgJGRlc2MsICR1cmwsICRzdXBlcikgeyAgICAkdG
l0bGUgPSBzdHJ0b2xvd2VyKCR0aXRsZSk7ICAgICRkZXNjICA9IHN0cnRvbG93ZXIoJGRlc2MpOyAgIC
Akc3VwZXJsYXRpdmVzICAgID0gcGpfc3VwZXJsYXRpdmVzKCk7ICAgICRzcGFtX3dvcmRzX3NvZnQgPS
Bwal9zcGFtX3dvcmRzX3NvZnQoKTsgICAgJHNwYW1fd29yZHNfaGFyZCA9IHBqX3NwYW1fd29yZHNfaG
FyZCgpOyAgICBpZiAoJHN1cGVyKSB7ICAgICAgICBmb3JlYWNoICgkc3VwZXJsYXRpdmVzIGFzICRzdy
kgeyAgICAgICAgICAgIGlmIChzdHJwb3MoJHRpdGxlLCRzdykhPT1mYWxzZSB8fCBzdHJwb3MoJGRlc2
MsJHN3KSE9PWZhbHNlKSB7ICAgICAgICAgICAgICAgIHJldHVybiAnc3VwZXJsYXRpdmVzJzsgICAgIC
AgICAgICB9ICAgICAgICB9ICAgIH0gICAgZm9yZWFjaCAoJHNwYW1fd29yZHNfaGFyZCBhcyAkc3cpIH
sgICAgICAgIGlmIChzdHJwb3MoJHRpdGxlLCRzdykhPT1mYWxzZSB8fCBzdHJwb3MoJGRlc2MsJHN3KS
E9PWZhbHNlKSB7ICAgICAgICAgICAgcmV0dXJuICd0ZXh0JzsgICAgICAgIH0gICAgICAgIGlmIChzdH
Jwb3MoJHVybCwkc3cpIT09ZmFsc2UpIHsgICAgICAgICAgICByZXR1cm4gJ3VybCc7ICAgICAgICB9IC
AgIH0gICAgJG15c2NvcmUgPSAwOyAgICBmb3JlYWNoICgkc3BhbV93b3Jkc19zb2Z0IGFzICRzdykgey
AgICAgICAgaWYgKHN0cnBvcygkdGl0bGUsJHN3KSE9PWZhbHNlIHx8IHN0cnBvcygkZGVzYywkc3cpIT
09ZmFsc2UpIHsgICAgICAgICAgICAkbXlzY29yZSs9NTA7ICAgICAgICB9ICAgIH0gICAgaWYgKCRteX
Njb3JlID4gMTAwKSB7ICAgICAgICByZXR1cm4gJ3RleHQnOyAgICB9ICAgIHJldHVybiB0cnVlO31mdW
5jdGlvbiBwal9zcGFtX3dvcmRzX2hhcmQoKSB7ICAgIHJldHVybiBhcnJheSggICAgJ2FkaXBleCcsJ2
FkdmljZXInLCdiYWNjYXJyYXQnLCdibGFja2phY2snLCdibGxvZ3Nwb3QnLCdib29rZXInLCdieW9iJy
wnY2FyYm9oeWRyYXRlJywnY2FyLXJlbnRhbC1lLXNpdGUnLCdjYXItcmVudGFscy1lLXNpdGUnLCAgIC
AnY2FyaXNvcHJvZG9sJywnY2FzaW5vJywnY2FzaW5vcycsJ2NpYWxpcyAnLCdjb29sY29vbGh1JywnY2
9vbGh1JywnY3JlZGl0LXJlcG9ydC00dScsJ2N3YXMgJywnY3ljbGVuJywnY3ljbG9iZW56YXByaW5lJy
wgICAgJ2RhdGluZy1lLXNpdGUnLCdkYXktdHJhZGluZycsJ2RlYnQnLCdkZWJ0LWNvbnNvbGlkYXRpb2
4tY29uc3VsdGFudCcsJ2RydWcnLCdkaXNjcmVldG9yZGVyaW5nJywnZHV0eS1mcmVlJywnZHV0eWZyZW
UnLCdlcXVpdHlsb2FucycsJ2ZpbmFuY2luZycsICAgICdmaW9yaWNldCcsJ2Zsb3dlcnMtbGVhZGluZy
1zaXRlJywnZnJlZW5ldC1zaG9wcGluZycsJ2ZyZWVuZXQnLCdnYW1ibGluZycsJ2dheScsJ2hlYWx0aC
1pbnN1cmFuY2VkZWFscy00dScsJ2hvbWVlcXVpdHlsb2FucycsJ2hvbWVmaW5hbmNlJywgICAgJ2hvbG
RlbScsJ2hvbGRlbXBva2VyJywnaG9sZGVtc29mdHdhcmUnLCdob2xkZW10ZXhhc3R1cmJvd2lsc29uJy
wnaG90ZWwtZGVhbHNlLXNpdGUnLCdob3RlbGUtc2l0ZScsJ2hvdGVsc2Utc2l0ZScsJ2luY2VzdCcsIC
AgICdpbnN1cmFuY2UtcXVvdGVzZGVhbHMtNHUnLCdpbnN1cmFuY2VkZWFscy00dScsJ2pyY3JlYXRpb2
5zJywnbGV2aXRyYScsJ2xvYW4nLCdtYWNpbnN0cnVjdCcsJ21vcnRnYWdlLTQtdScsJ21vcnRnYWdlcX
VvdGVzJywnb25saW5lLWdhbWJsaW5nJywgICAgJ29ubGluZWdhbWJsaW5nLTR1Jywnb3R0YXdhdmFsbG
V5YWcnLCdvd25zdGhpcycsJ3BhbG0tdGV4YXMtaG9sZGVtLWdhbWUnLCdwYXhpbCcsJ3BlbmlzJywncG
hhcm1hY3knLCdwaGVudGVybWluZScsJ3Bva2VyJywncG9rZXItY2hpcCcsICAgICdyZW50YWwtY2FyLW
Utc2l0ZScsJ3JvdWxldHRlJywnc2V4Jywnc2hlbWFsZScsJ3Nsb3QtbWFjaGluZScsICAgICd0ZXhhcy
1ob2xkZW0nLCd0aG9yY2FybHNvbicsJ3RvcC1zaXRlJywndG9wLWUtc2l0ZScsJ3RyYW1hZG9sJywndH
JpbS1zcGEnLCd1bHRyYW0nLCd2YWxlb2ZnbGFtb3JnYW5jb25zZXJ2YXRpdmVzJywndmlhZ3JhJywgIC
AgJ3Zpb3h4JywneGFuYXgnLCd6b2x1cyAnLCdyZXBsaWNhJyAgICApO31mdW5jdGlvbiBwal9zcGFtX3
dvcmRzX3NvZnQoKSB7ICAgIHJldHVybiBhcnJheSggICAgJ2FmZm9yZGFibGUnLCdhbWJpZW4nLCdiYX
JnYWluJywnYnV5JywnY2hhdHJvb20nLCdjaGVhcCcsJ2luc3VyYW5jZScsJ2ludmVzdG1lbnQnLCdwb3
plJywgICAgJ3ByZS1hcHByb3ZlZCcsJ3NvbWEnLCd0YWJvbycsJ3RlZW4nLCd3aG9sZXNhbGUnICAgIC
k7fWZ1bmN0aW9uIHBqX3N1cGVybGF0aXZlcygpIHsgICAgcmV0dXJuIGFycmF5KCAgICAnYWJsZXN0Jy
wnYWNoaWVzdCcsJ2FjdXRlc3QnLCdhaXJ3b3J0aGllc3QnLCdhaXJpZXN0JywnYW1wbGVzdCcsJ2FuZ3
JpZXN0JywnYXB0ZXN0JywnYXJ0aWVzdCcsJ2FzaGllc3QnLCAgICAnd29yc3QnLCdiYWdnaWVzdCcsJ2
JhbGRlc3QnLCdiYWxraWVzdCcsJ2JhbG1pZXN0JywnYmFyZXN0JywnYmF0dGllc3QnLCdiZWFkaWVzdC
csJ2JlYXN0bGllc3QnLCdiZWVmaWVzdCcsJ2Jlc3QnLCAgICAnYmlnZ2VzdCcsJ2JpdHRlcmVzdCcsJ2
JsYWNrZXN0JywnYmxhbmRlc3QnLCdibGFua2VzdCcsJ2JsZWFrZXN0JywnYmxlYXJpZXN0JywnYmxpbm
Rlc3QnLCdibGl0aGVzdCcsJ2Jsb25kZXN0JywgICAgJ2Jsb29kdGhpcnN0aWVzdCcsJ2Jsb29kaWVzdC
csJ2Jsb3RjaGllc3QnLCdibG93emllc3QnLCdibHVlc3QnLCdibHVudGVzdCcsJ2JsdXJyaWVzdCcsJ2
JvZ2dpZXN0JywnYm9sZGVzdCcsJ2Jvbm5pZXN0JywgICAgJ2Jvbmllc3QnLCdib3NzaWVzdCcsJ2JvdG
NoaWVzdCcsJ2JvdW5jaWVzdCcsJ2JyYWluaWVzdCcsJ2JyYW1ibGllc3QnLCdicmFzaGVzdCcsJ2JyYX
NzaWVzdCcsJ2JyYXR0aWVzdCcsJ2JyYXZlc3QnLCAgICAnYnJhd25pZXN0JywnYnJlYXRoaWVzdCcsJ2
JyZWV6aWVzdCcsJ2JyaWVmZXN0JywnYnJpZ2h0ZXN0JywnYnJpbmllc3QnLCdicmlza2VzdCcsJ2JyaX
N0bGllc3QnLCdicm9hZGVzdCcsJ2Jyb29kaWVzdCcsICAgICdicm93bmVzdCcsJ2JydXNrZXN0JywnYn
ViYmxpZXN0JywnYnVsZ2llc3QnLCdidWxraWVzdCcsJ2J1bXBpZXN0JywnYnVuY2hpZXN0JywnYnVybG
llc3QnLCdidXNoaWVzdCcsJ2J1c2llc3QnLCAgICAnY2FnaWVzdCcsJ2NhbG1lc3QnLCdjYW1waWVzdC
csJ2Nhbm5pZXN0JywnY2F0Y2hpZXN0JywnY2F0dGllc3QnLCdjaGFsa2llc3QnLCdjaGFuY2llc3QnLC
djaGFzdGVzdCcsJ2NoYXR0aWVzdCcsICAgICdjaGVhcGVzdCcsJ2NoZWVraWVzdCcsJ2NoZWVyaWVzdC
csJ2NoZWVzaWVzdCcsJ2NoZXdpZXN0JywnY2hpbGxpZXN0JywnY2hpbnR6aWVzdCcsJ2Nob2ljZXN0Jy
wnY2hvb3NpZXN0JywnY2hvcHBpZXN0JywgICAgJ2NodWJiaWVzdCcsJ2NodW1taWVzdCcsJ2NodW5raW
VzdCcsJ2NpdmlsZXN0JywnY2xhbW1pZXN0JywnY2xhc3NpZXN0JywnY2xlYW5lc3QnLCdjbGVhbmxpZX
N0JywnY2xlYXJlc3QnLCdjbGV2ZXJlc3QnLCAgICAnY2xpbmdpZXN0JywnY2xpcXVpZXN0JywnY2xvZG
RpZXN0JywnY2xvc2VzdCcsJ2Nsb3VkaWVzdCcsJ2NsdW1waWVzdCcsJ2NsdW1zaWVzdCcsJ2NvYXJzZX
N0JywnY29sZGVzdCcsJ2NvbWVsaWVzdCcsICAgICdjb21maWVzdCcsJ2NvbW1vbmVzdCcsJ2Nvb2xlc3
QnLCdjb3JraWVzdCcsJ2Nvcm5pZXN0JywnY29zdGxpZXN0JywnY295ZXN0JywnY296aWVzdCcsJ2NyYW
JiaWVzdCcsJ2NyYWNrbGllc3QnLCAgICAnY3JhZnRpZXN0JywnY3JhZ2dpZXN0JywnY3JhbmtpZXN0Jy
wnY3Jhc3Nlc3QnLCdjcmF3bGllc3QnLCdjcmF6aWVzdCcsJ2NyZWFraWVzdCcsJ2NyZWFtaWVzdCcsJ2
NyZWVwaWVzdCcsJ2NyaW5rbGllc3QnLCAgICAnY3Jpc3Blc3QnLCdjcmlzcGllc3QnLCdjcm9ha2llc3
QnLCdjcm9zc2VzdCcsJ2Nyb3VwaWVzdCcsJ2NydWVsZXN0JywnY3J1bW1pZXN0JywnY3J1bmNoaWVzdC
csJ2NydXN0aWVzdCcsJ2N1ZGRsaWVzdCcsICAgICdjdXJsaWVzdCcsJ2N1cnRlc3QnLCdjdXJ2aWVzdC
csJ2N1c2hpZXN0JywnY3V0ZXN0JywnZGFmZmllc3QnLCdkYWZ0ZXN0JywnZGFpbnRpZXN0JywnZGFtcG
VzdCcsJ2RhbmRpZXN0JywgICAgJ2Rhbmtlc3QnLCdkYXJrZXN0JywnZGVhZGVzdCcsJ2RlYWRsaWVzdC
csJ2RlYWZlc3QnLCdkZWFyZXN0JywnZGVlcGVzdCcsJ2RlZnRlc3QnLCdkZW11cmVzdCcsJ2RlbnNlc3
QnLCAgICAnZGV3aWVzdCcsJ2RpY2llc3QnLCdkaW1tZXN0JywnZGluZ2llc3QnLCdkaXBwaWVzdCcsJ2
RpcmVzdCcsJ2RpcnRpZXN0JywnZGl6emllc3QnLCdkb3BpZXN0JywnZG90dGllc3QnLCAgICAnZG91Z2
h0aWVzdCcsJ2RvdWdoaWVzdCcsJ2Rvd2RpZXN0JywnZG93bmllc3QnLCdkcmFiYmVzdCcsJ2RyYWZ0aW
VzdCcsJ2RyZWFtaWVzdCcsJ2RyZWFyaWVzdCcsJ2RyZXNzaWVzdCcsJ2Ryb29waWVzdCcsICAgICdkcm
93c2llc3QnLCdkcmllc3QnLCdkdWNraWVzdCcsJ2R1bGxlc3QnLCdkdW1iZXN0JywnZHVtcGllc3QnLC
dkdXNraWVzdCcsJ2R1c3RpZXN0JywnZWFybGllc3QnLCdlYXJ0aGllc3QnLCAgICAnZWFzaWVzdCcsJ2
VkZ2llc3QnLCdlZXJpZXN0JywnZW1wdGllc3QnLCdmYWludGVzdCcsJ2ZhaXJlc3QnLCdmYWxzZXN0Jy
wnZmFuY2llc3QnLCdmYXJ0aGVzdCcsJ2Z1cnRoZXN0JywgICAgJ2Zhc3Rlc3QnLCdmYXR0ZXN0JywnZm
F0dGllc3QnLCdmYXVsdGllc3QnLCdmZWVibGVzdCcsJ2Zld2VzdCcsJ2ZpZXJjZXN0JywnZmllcmllc3
QnLCdmaWxtaWVzdCcsJ2ZpbHRoaWVzdCcsICAgICdmaW5lc3QnLCdmaXJtZXN0JywnZmlzaGllc3QnLC
dmaXR0ZXN0JywnZmxhYmJpZXN0JywnZmxha2llc3QnLCdmbGFzaGllc3QnLCdmbGF0dGVzdCcsJ2ZsZW
VjaWVzdCcsJ2ZsZWV0ZXN0JywgICAgJ2ZsaWdodGllc3QnLCdmbGltc2llc3QnLCdmbGlwcGVzdCcsJ2
Zsb3BwaWVzdCcsJ2ZsdWZmaWVzdCcsJ2ZvYW1pZXN0JywnZm9nZ2llc3QnLCdmb2xrc2llc3QnLCdmb2
5kZXN0JywnZm9vbGhhcmRpZXN0JywgICAgJ2ZvdWxlc3QnLCdmb3hpZXN0JywnZnJhaWxlc3QnLCdmcm
Fua2VzdCcsJ2ZyZWFraWVzdCcsJ2ZyZWVzdCcsJ2ZyZXNoZXN0JywnZnJpZW5kbGllc3QnLCdmcml6em
llc3QnLCdmcm9zdGllc3QnLCAgICAnZnJvdGhpZXN0JywnZnJ1bXBpZXN0JywnZnVsbGVzdCcsJ2Z1bm
tpZXN0JywnZnVubmllc3QnLCdmdXJyaWVzdCcsJ2Z1c3NpZXN0JywnZnV6emllc3QnLCdnYWJiaWVzdC
csJ2dhbWVzdCcsICAgICdnYW1pZXN0JywnZ2F1ZGllc3QnLCdnYXVudGVzdCcsJ2dhdXppZXN0JywnZ2
F3a2llc3QnLCdnZW50bGVzdCcsJ2dlcm1pZXN0JywnZ2hhc3RsaWVzdCcsJ2dpZGRpZXN0JywnZ2xhZG
Rlc3QnLCAgICAnZ2xhaXJpZXN0JywnZ2xhc3NpZXN0JywnZ2xlYW1pZXN0JywnZ2xpYmJlc3QnLCdnbG
9vbWllc3QnLCdnbG9zc2llc3QnLCdnbHVpZXN0JywnZ2x1bW1lc3QnLCdnb2RsaWVzdCcsJ2Jlc3QnLC
AgICAnZ29vZGxpZXN0JywnZ29vaWVzdCcsJ2dvb2ZpZXN0JywnZ29yaWVzdCcsJ2dvdXRpZXN0JywnZ3
JhYmJpZXN0JywnZ3JhaW5pZXN0JywnZ3JhbmRlc3QnLCdncmFzc2llc3QnLCdncmF2ZXN0JywgICAgJ2
dyYXllc3QnLCdncmVhc2llc3QnLCdncmVhdGVzdCcsJ2dyZWVkaWVzdCcsJ2dyZWVuZXN0JywnZ3JleW
VzdCcsJ2dyaW1tZXN0JywnZ3JpbWllc3QnLCdncmlwcGllc3QnLCdncmlwaWVzdCcsICAgICdncmlzbG
llc3QnLCdncml0dGllc3QnLCdncml6emxpZXN0JywnZ3JvZ2dpZXN0JywnZ3Jvb3ZpZXN0JywnZ3Jvc3
Nlc3QnLCdncm91Y2hpZXN0JywnZ3J1YmJpZXN0JywnZ3J1ZmZlc3QnLCdncnVtcGllc3QnLCAgICAnZ3
J1bmdpZXN0JywnZ3VpbHRpZXN0JywnZ3VtbWllc3QnLCdndXNoaWVzdCcsJ2d1c3RpZXN0JywnZ3V0c2
llc3QnLCdoYWlyaWVzdCcsJ2hhbW1pZXN0JywnaGFuZHNvbWVzdCcsJ2hhbmRpZXN0JywgICAgJ2hhcH
BpZXN0JywnaGFyZGVzdCcsJ2hhcmRpZXN0JywnaGFyc2hlc3QnLCdoYXN0aWVzdCcsJ2hhdWdodGllc3
QnLCdoYXppZXN0JywnaGVhZGllc3QnLCdoZWFsdGhpZXN0JywnaGVhcnRpZXN0JywgICAgJ2hlYXZpZX
N0JywnaGVmdGllc3QnLCdoaWdoZXN0JywnaGlwcGVzdCcsJ2hvYXJzZXN0JywnaG9raWVzdCcsJ2hvbG
llc3QnLCdob21lbGllc3QnLCdob21pZXN0JywnaG90dGVzdCcsICAgICdodWZmaWVzdCcsJ2h1Z2VzdC
csJ2h1bWJsZXN0JywnaHVuZ3JpZXN0JywnaHVza2llc3QnLCdpY2tpZXN0JywnaWNpZXN0JywnaWRsZX
N0JywnaWxsZXN0JywnaW5raWVzdCcsICAgICdpdGNoaWVzdCcsJ2phdW50aWVzdCcsJ2phenppZXN0Jy
wnamVya2llc3QnLCdqb2xsaWVzdCcsJ2pvdW5jaWVzdCcsJ2p1aWNpZXN0JywnanVtcGllc3QnLCdrZW
VuZXN0Jywna2luZGVzdCcsICAgICdraW5kbGllc3QnLCdraW5nbGllc3QnLCdrbm9iYmllc3QnLCdrbm
90dGllc3QnLCdrb29raWVzdCcsJ2xhY2llc3QnLCdsYW1lc3QnLCdsYW5rZXN0JywnbGFua2llc3QnLC
dsYXJnZXN0JywgICAgJ2xhdGVzdCcsJ2xheGVzdCcsJ2xhemllc3QnLCdsZWFmaWVzdCcsJ2xlYWtpZX
N0JywnbGVhbmVzdCcsJ2xlZXJpZXN0JywnbGVuZ3RoaWVzdCcsJ2xpZ2h0ZXN0JywnbGlrZWxpZXN0Jy
wgICAgJ2xpbnRpZXN0JywnbGl0aGVzdCcsJ2xpdHRsZXN0JywnbGl2ZWxpZXN0JywnbG9hbWllc3QnLC
dsb2Z0aWVzdCcsJ2xvbmVsaWVzdCcsJ2xvbmdlc3QnLCdsb29uaWVzdCcsJ2xvb3Nlc3QnLCAgICAnbG
9yZGxpZXN0JywnbG91ZGVzdCcsJ2xvdXNpZXN0JywnbG92ZWxpZXN0JywnbG93ZXN0JywnbG93bGllc3
QnLCdsdWNraWVzdCcsJ2x1bXBpZXN0JywnbWFkZGVzdCcsJ21hbmdpZXN0JywgICAgJ21hbmxpZXN0Jy
wnbWFyc2hpZXN0JywnbWF0dXJlc3QnLCdtZWFsaWVzdCcsJ21lYW5lc3QnLCdtZWFzbGllc3QnLCdtZW
F0aWVzdCcsJ21lZWtlc3QnLCdtZWxsb3dlc3QnLCdtZXJlc3QnLCAgICAnbWVycmllc3QnLCdtZXNzaW
VzdCcsJ21pZ2h0aWVzdCcsJ21pbGRlc3QnLCdtaWxraWVzdCcsJ21pbnRpZXN0JywnbWludXRlc3QnLC
dtaXN0aWVzdCcsJ21vaXN0ZXN0JywnbW9sZGllc3QnLCAgICAnbW9vZGllc3QnLCdtb3BpZXN0JywnbW
9zc2llc3QnLCdtb3VsZGllc3QnLCdtb3VzaWVzdCcsJ21vdXRoaWVzdCcsJ211Y2tpZXN0JywnbXVkZG
llc3QnLCdtdWdnaWVzdCcsJ211cmtpZXN0JywgICAgJ211c2hpZXN0JywnbXVzdGllc3QnLCduYWl2ZX
N0JywnbmFycm93ZXN0JywnbmFzdGllc3QnLCduYXR0aWVzdCcsJ25hdWdodGllc3QnLCduZWFyZXN0Jy
wnbmVhdGVzdCcsJ25lZWRpZXN0JywgICAgJ25lcnZpZXN0JywnbmV3ZXN0JywnbmV3c2llc3QnLCduaW
Nlc3QnLCduaWZ0aWVzdCcsJ25pbWJsZXN0JywnbmlwcGllc3QnLCdub2JsZXN0Jywnbm9pc2llc3QnLC
dub3NpZXN0JywgICAgJ251bWJlc3QnLCdudXR0aWVzdCcsJ29ic2N1cmVzdCcsJ29kZGVzdCcsJ29pbG
llc3QnLCdlbGRlc3QnLCdvbGRlc3QnLCdvb3ppZXN0JywncGFsZXN0JywncGFsbWllc3QnLCAgICAncG
FsdHJpZXN0JywncGFzdGllc3QnLCdwYXRjaGllc3QnLCdwZWFybGllc3QnLCdwZWJibGllc3QnLCdwZX
BwaWVzdCcsJ3BlcmtpZXN0JywncGVydGVzdCcsJ3Blc2tpZXN0JywncGV0dGllc3QnLCAgICAncGhsZW
dtaWVzdCcsJ3Bob25pZXN0JywncGlja2llc3QnLCdwaWdnaWVzdCcsJ3BpbXBsaWVzdCcsJ3Bpbmtlc3
QnLCdwaXRoaWVzdCcsJ3BsYWluZXN0JywncGx1Y2tpZXN0JywncGx1bXBlc3QnLCAgICAncGx1bWllc3
QnLCdwbHVzaGVzdCcsJ3BvaW50aWVzdCcsJ3Bva2llc3QnLCdwb2xpdGVzdCcsJ3Bvb3Jlc3QnLCdwb3
JraWVzdCcsJ3BvcnRsaWVzdCcsJ3Bvc2hlc3QnLCdwcmV0dGllc3QnLCAgICAncHJpY2tsaWVzdCcsJ3
ByaW1tZXN0JywncHJpc3NpZXN0JywncHJvZm91bmRlc3QnLCdwcm9zaWVzdCcsJ3Byb3VkZXN0JywncH
VkZ2llc3QnLCdwdWZmaWVzdCcsJ3B1bHBpZXN0JywncHVuY2hpZXN0JywgICAgJ3B1bmllc3QnLCdwdX
Jlc3QnLCdwdXNoaWVzdCcsJ3F1YWludGVzdCcsJ3F1YWtpZXN0JywncXVlYXNpZXN0JywncXVpY2tlc3
QnLCdxdWlldGVzdCcsJ3F1aXJraWVzdCcsJ3JhaW5pZXN0JywgICAgJ3JhbmdpZXN0JywncmFua2VzdC
csJ3JhcmVzdCcsJ3Jhc3BpZXN0JywncmF0dGllc3QnLCdyYXdlc3QnLCdyZWFkaWVzdCcsJ3JlYWxlc3
QnLCdyZWRkZXN0JywncmVlZGllc3QnLCAgICAncmVtb3Rlc3QnLCdyaWNoZXN0JywncmlwZXN0Jywncm
lza2llc3QnLCdyaXR6aWVzdCcsJ3JvY2tpZXN0Jywncm9vbWllc3QnLCdyb3NpZXN0Jywncm90dGVuZX
N0Jywncm91Z2hlc3QnLCAgICAncm93ZGllc3QnLCdydWRkaWVzdCcsJ3J1ZGVzdCcsJ3J1bm5pZXN0Jy
wncnVudGllc3QnLCdydXN0aWVzdCcsJ3NhZGRlc3QnLCdzYWZlc3QnLCdzYWdlc3QnLCdzYWdnaWVzdC
csICAgICdzYWludGxpZXN0Jywnc2FsdGllc3QnLCdzYW5kaWVzdCcsJ3NhbmVzdCcsJ3NhcHBpZXN0Jy
wnc2Fzc2llc3QnLCdzYXVjaWVzdCcsJ3NjYWJiaWVzdCcsJ3NjYWxpZXN0Jywnc2NhbnRpZXN0JywgIC
AgJ3NjYXJjZXN0Jywnc2Nhcmllc3QnLCdzY2htYWx0emllc3QnLCdzY3JhZ2dsaWVzdCcsJ3NjcmFwcG
llc3QnLCdzY3JhdGNoaWVzdCcsJ3NjcmF3bmllc3QnLCdzY3JlZWNoaWVzdCcsJ3NjcmltcGllc3QnLC
dzY3J1YmJpZXN0JywgICAgJ3NjcnVmZmllc3QnLCdzY3Vydmllc3QnLCdzZWN1cmVzdCcsJ3NlZW1saW
VzdCcsJ3NldmVyZXN0Jywnc2hhYmJpZXN0Jywnc2hhZGllc3QnLCdzaGFnZ2llc3QnLCdzaGFraWVzdC
csJ3NoYWxsb3dlc3QnLCAgICAnc2hhcGVsaWVzdCcsJ3NoYXJwZXN0Jywnc2hpZnRpZXN0Jywnc2hpbm
llc3QnLCdzaG9kZGllc3QnLCdzaG9ydGVzdCcsJ3Nob3dpZXN0Jywnc2hyZXdkZXN0Jywnc2hyaWxsZX
N0Jywnc2h5ZXN0JywgICAgJ3NpY2tlc3QnLCdzaWNrbGllc3QnLCdzaWdodGxpZXN0Jywnc2lsa2llc3
QnLCdzaWxsaWVzdCcsJ3NpbHRpZXN0Jywnc2ltcGxlc3QnLCdzaW5jZXJlc3QnLCdza2V0Y2hpZXN0Jy
wnc2tpbm5pZXN0JywgICAgJ3NsYW5naWVzdCcsJ3NsYXBoYXBwaWVzdCcsJ3NsZWVrZXN0Jywnc2xlZX
BpZXN0Jywnc2xlZXRpZXN0Jywnc2xlbmRlcmVzdCcsJ3NsaWNrZXN0Jywnc2xpZ2h0ZXN0Jywnc2xpbW
1lc3QnLCdzbGltaWVzdCcsICAgICdzbGlwcGVyaWVzdCcsJ3Nsb3BwaWVzdCcsJ3Nsb3NoaWVzdCcsJ3
Nsb3VjaGllc3QnLCdzbG93ZXN0Jywnc2x1ZGdpZXN0Jywnc2x1c2hpZXN0Jywnc2xpZXN0Jywnc2x5ZX
N0Jywnc21hbGxlc3QnLCAgICAnc21hcnRlc3QnLCdzbWVhcmllc3QnLCdzbWVsbGllc3QnLCdzbW9nZ2
llc3QnLCdzbW9raWVzdCcsJ3Ntb290aGVzdCcsJ3NtdWRnaWVzdCcsJ3NtdWdnZXN0Jywnc25ha2llc3
QnLCdzbmFwcGllc3QnLCAgICAnc25hcmxpZXN0Jywnc25lYWtpZXN0Jywnc25lZXppZXN0Jywnc25pZG
VzdCcsJ3NuaXBwaWVzdCcsJ3Nub2JiaWVzdCcsJ3Nub29waWVzdCcsJ3Nub290aWVzdCcsJ3Nub3dpZX
N0Jywnc251Z2dlc3QnLCAgICAnc29hcGllc3QnLCdzb2JlcmVzdCcsJ3NvZnRlc3QnLCdzb2dnaWVzdC
csJ3NvbGlkZXN0Jywnc29vbmVzdCcsJ3Nvb3RpZXN0Jywnc29wcGllc3QnLCdzb3Jlc3QnLCdzb3JyaW
VzdCcsICAgICdzb3VuZGVzdCcsJ3NvdXBpZXN0Jywnc291cmVzdCcsJ3NwYXJlc3QnLCdzcGFyc2VzdC
csJ3NwZWVkaWVzdCcsJ3NwaWNpZXN0Jywnc3BpZmZpZXN0Jywnc3Bpa2llc3QnLCdzcGluZGxpZXN0Jy
wgICAgJ3NwaW5pZXN0Jywnc3BsYXNoaWVzdCcsJ3NwbG90Y2hpZXN0Jywnc3BvbmdpZXN0Jywnc3Bvcn
RpZXN0Jywnc3BvdHRpZXN0Jywnc3ByaWdodGxpZXN0Jywnc3ByaW5naWVzdCcsJ3Nwcmllc3QnLCdzcH
J5ZXN0JywgICAgJ3NwdW5raWVzdCcsJ3NxdWFiYmllc3QnLCdzcXVhcmVzdCcsJ3NxdWFzaGllc3QnLC
dzcXVhdHRpZXN0Jywnc3F1ZWFraWVzdCcsJ3NxdWlybWllc3QnLCdzdGFnaWVzdCcsJ3N0YWlkZXN0Jy
wnc3RhbGVzdCcsICAgICdzdGFyY2hpZXN0Jywnc3Rhcmtlc3QnLCdzdGFycmllc3QnLCdzdGF0ZWxpZX
N0Jywnc3RlYWRpZXN0Jywnc3RlYWx0aGllc3QnLCdzdGVhbWllc3QnLCdzdGVlbGllc3QnLCdzdGVlcG
VzdCcsJ3N0ZXJuZXN0JywgICAgJ3N0aWNraWVzdCcsJ3N0aWZmZXN0Jywnc3RpbGxlc3QnLCdzdGluZ2
llc3QnLCdzdGlua2llc3QnLCdzdG9ja2llc3QnLCdzdG9kZ2llc3QnLCdzdG9uaWVzdCcsJ3N0b3JtaW
VzdCcsJ3N0b3V0ZXN0JywgICAgJ3N0cmFnZ2xpZXN0Jywnc3RyYWlnaHRlc3QnLCdzdHJhbmdlc3QnLC
dzdHJlYWtpZXN0Jywnc3RyZXRjaGllc3QnLCdzdHJpY3Rlc3QnLCdzdHJpbmdpZXN0Jywnc3Ryb25nZX
N0Jywnc3R1YmJvcm5lc3QnLCdzdHViYmllc3QnLCAgICAnc3R1ZmZpZXN0Jywnc3R1bXBpZXN0Jywnc3
R1cGlkZXN0Jywnc3R1cmRpZXN0Jywnc3Vkc2llc3QnLCdzdWxraWVzdCcsJ3N1bHRyaWVzdCcsJ3N1bm
5pZXN0Jywnc3VwcGxlc3QnLCdzdXJlc3QnLCAgICAnc3VybGllc3QnLCdzdmVsdGVzdCcsJ3N3YW1waW
VzdCcsJ3N3YW5raWVzdCcsJ3N3YXJ0aGllc3QnLCdzd2VhdGllc3QnLCdzd2VldGVzdCcsJ3N3aWZ0ZX
N0JywndGFja2llc3QnLCd0YWxraWVzdCcsICAgICd0YWxsZXN0JywndGFtZXN0JywndGFubmVzdCcsJ3
RhbmdpZXN0JywndGFyZGllc3QnLCd0YXJ0ZXN0JywndGFzdGllc3QnLCd0YXV0ZXN0JywndGF3ZHJpZX
N0JywndGF3bmllc3QnLCAgICAndGVhcmllc3QnLCd0ZWVuaWVzdCcsJ3RlbnNlc3QnLCd0ZXJzZXN0Jy
wndGVzdGllc3QnLCd0ZXRjaGllc3QnLCd0aGlja2VzdCcsJ3RoaW5uZXN0JywndGhpcnN0aWVzdCcsJ3
Rob3JuaWVzdCcsICAgICd0aHJlYWRpZXN0JywndGhyaWZ0aWVzdCcsJ3Rocm9hdGllc3QnLCd0aWRpZX
N0JywndGlnaHRlc3QnLCd0aW5uaWVzdCcsJ3Rpbmllc3QnLCd0aXBzaWVzdCcsJ3Rvb3RoaWVzdCcsJ3
RvdWNoaWVzdCcsICAgICd0b3VnaGVzdCcsJ3RyZW5kaWVzdCcsJ3RyaWNraWVzdCcsJ3RyaW1tZXN0Jy
wndHJpdGVzdCcsJ3RydWVzdCcsJ3RydXN0aWVzdCcsJ3R3YW5naWVzdCcsJ3R3ZWVkaWVzdCcsJ3VnbG
llc3QnLCAgICAndW5oZWFsdGhpZXN0JywndW5ydWxpZXN0JywndmFndWVzdCcsJ3ZpbGVzdCcsJ3dhY2
tpZXN0Jywnd2FubmVzdCcsJ3dhcm1lc3QnLCd3YXJ0aWVzdCcsJ3dhcmllc3QnLCd3YXZpZXN0JywgIC
AgJ3dheGllc3QnLCd3ZWFrZXN0Jywnd2VhbHRoaWVzdCcsJ3dlYXJpZXN0Jywnd2VlZGllc3QnLCd3ZW
VwaWVzdCcsJ3dlaWdodGllc3QnLCd3ZWlyZGVzdCcsJ3dldHRlc3QnLCd3aGVlemllc3QnLCAgICAnd2
hpbmllc3QnLCd3aGl0ZXN0Jywnd2lkZXN0Jywnd2lsZGVzdCcsJ3dpbGllc3QnLCd3aW5kaWVzdCcsJ3
dpbnRyaWVzdCcsJ3dpcmllc3QnLCd3aXNlc3QnLCd3aXNwaWVzdCcsICAgICd3aXR0aWVzdCcsJ3dvYm
JsaWVzdCcsJ3dvb2RzaWVzdCcsJ3dvb2RpZXN0Jywnd29vbGxpZXN0Jywnd29vemllc3QnLCd3b3JkaW
VzdCcsJ3dvcmxkbGllc3QnLCd3b3JtaWVzdCcsJ3dvcnRoaWVzdCcsICAgICd3cmlnZ2xpZXN0Jywnd3
JpZXN0JywneWVhc3RpZXN0JywneW91bmdlc3QnLCd5dW1taWVzdCcsJ3phbmllc3QnLCd6aXBwaWVzdC
cgICAgKTt9',"\141");

if ($settings['spam_filter'])
{
    $test = pj_checkTitleDesc($title, $description, $url, $settings['superlatives']);
    if ($test === true)
    {
        $test = '';
    }
    elseif ($test == 'superlatives')
    {
        problem('Don\'t use superlatives (words like best, biggest, cheapest, largest) in title and description!');
    }
    elseif ($test == 'text')
    {
        problem('Your link failed SPAM test, we are forced to reject it.');
    }
    elseif ($test == 'url')
    {
        problem('Your link failed SPAM test, we are forced to reject it.');
    }
}

if ($settings['autosubmit'])
{
    session_start();
    if (empty($_SESSION['checked']))
    {
        $_SESSION['checked']  = 'N';
        $_SESSION['secnum']   = rand(10000,99999);
        $_SESSION['checksum'] = $_SESSION['secnum'].$settings['filter_sum'].date('dmy');
    }
    if ($_SESSION['checked'] == 'N')
    {
        print_secimg();
    }
    elseif ($_SESSION['checked'] == $settings['filter_sum'])
    {
        $_SESSION['checked'] = 'N';
        $secnumber = pj_isNumber($_POST['secnumber']);
        if(empty($secnumber))
        {
            print_secimg(1);
        }
        if (!check_secnum($secnumber,$_SESSION['checksum']))
        {
            print_secimg(2);
        }
    }
    else
    {
        problem('Internal script error. Wrong session parameters!');
    }
}

/* Check for duplicate links */
if ($settings['block_duplicates'])
{
    $mydata = file_get_contents($settings['linkfile']);

    /* Check website URL */
    $regex = str_replace(array('http://www.','http://'),'http://(www\.)?',$url);
    $regex = preg_replace('/index\.[^\/]+$/','',$regex);
    $regex = str_replace('/','\/',rtrim($regex,'/'));
    $regex = '/'.$regex.'\/?(index\.[^\/]+)?\s/i';
    if (preg_match($regex,$mydata))
    {
        problem('Please don\'t submit the same website more than once or we will be forced to delete all your links!');
    }

    /* Check reciprocal link URL */
    $regex = str_replace(array('http://www.','http://'),'http://(www\.)?',$recurl);
    $regex = preg_replace('/index\.[^\/]+$/','',$regex);
    $regex = str_replace('/','\/',rtrim($regex,'/'));
    $regex = '/'.$regex.'\/?(index\.[^\/]+)?\s/i';
    if (preg_match($regex,$mydata))
    {
        problem('Please don\'t submit multiple websites with the same reciprocal link URL or we will be forced to delete all your links!');
    }

    unset($mydata);
}

/* Get HTML code of the reciprocal link URL */
$html = @file_get_contents($recurl) or problem('Can\'t open remote URL!');
$html = strtolower($html);
$site_url = strtolower($settings['site_url']);

/* Block links with the meta "robots" noindex or nofollow tags? */
if ($settings['block_meta_rob']==1 && preg_match('/<meta([^>]+)(noindex|nofollow)(.*)>/siU',$html,$meta))
{
    problem(
        'Please don\'t place the reciprocal link to a page with the meta robots noindex or nofollow tag:<br />'.
        htmlspecialchars($meta[0])
    );
}

$found    = 0;
$nofollow = 0;

if (preg_match_all('/<a\s[^>]*href=([\"\']??)([^" >]*?)\\1([^>]*)>/siU', $html, $matches, PREG_SET_ORDER)) {
    foreach($matches as $match)
    {
        if ($match[2] == $settings['site_url'] || $match[2] == $settings['site_url'].'/')
        {
            $found = 1;
            if (strstr($match[3],'nofollow'))
            {
                $nofollow = 1;
            }
            break;
        }
    }
}

if ($found == 0)
{
    problem(
        'Our URL (<a href="'.$settings['site_url'].'">'.$settings['site_url'].
        '</a>) wasn\'t found on your reciprocal links page (<a href="'.$recurl.'">'.
        $recurl.'</a>)!<br><br>Please make sure you place this exact URL on your
        links page before submitting your link!'
    );
}

/* Block links with rel="nofollow" attribute? */
if ($settings['block_nofollow'] && $nofollow == 1)
{
    problem('Please don\'t use rel=&quot;nofollow&quot; link attribute for the reciprocal link!');
}

/* Check Google PageRank */
if ($settings['show_pr'] || $settings['min_pr'] || $settings['min_pr_rec'])
{
    require('pagerank.php');
    $pr = getpr($url);
    $pr = empty($pr) ? 0 : $pr;

    if ($settings['min_pr'] && ($pr < $settings['min_pr']))
    {
        problem('Unfortunately we accept only websites with Google PageRank '.$settings['min_pr'].'/10 or higher. Please try submitting your website again in a few months.');
    }

    if ($settings['min_pr_rec'])
    {
        $pr_rec = getpr($recurl);
        $pr_rec = empty($pr_rec) ? 0 : $pr_rec;
        if ($pr_rec < $settings['min_pr_rec'])
        {
            problem('Please place the reciprocal link to <a href="'.$settings['site_url'].'">'.$settings['site_url'].'</a> on a page with Google PageRank '.$settings['min_pr_rec'].'/10 or higher.');
        }
    }
}

$replacement = "$name$settings[delimiter]$email$settings[delimiter]$title$settings[delimiter]$url$settings[delimiter]$recurl$settings[delimiter]$description$settings[delimiter]0$settings[delimiter]$pr\n";

/* Approve manually */
if ($settings['man_approval'])
{
	$tmp = str_replace('www.','',strtolower($parsed_url['host']));
    $tmp = md5($tmp.$settings['filter_sum']);
    $tmp_file = 'apptmp/'.$tmp.'.txt';

    if (file_exists($tmp_file))
    {
    	problem('This link is already pending approval!');
    }

	$fp = fopen($tmp_file,'w') or problem('Couldn\'t open temporary file for writing! Please CHMOD the apptmp folder to 777 (rwxrwxrwx)!');
	flock($fp, LOCK_EX);
	fputs($fp,$replacement);
	flock($fp, LOCK_UN);
	fclose($fp);

$message = "Hello,

A new link is awaiting approval for your links page at $settings[site_url]

Link details:

Name: $name
E-mail: $email
URL: $url
Reciprocal link: $recurl
Title: $title
Description:
$description

To APPROVE the link visit this URL:
$settings[url_approval]?id=$tmp&approve=1

To REJECT the link visit this URL:
$settings[url_approval]?id=$tmp&approve=0


End of message

";
	$headers  = "From: $name <$email>\n";
	$headers .= "Reply-To: $name <$email>\n";
	mail($settings['admin_email'],'New link waiting approval',$message,$headers);

	require_once('header.txt');
	?>
	<p align="center"><b>Your link submitted for approval!</b></p>
	<p>&nbsp;</p>
	<p align="center">Thank you, your link has been submitted for approval and will appear on the links page once approved by the administrator!</p>
	<p>&nbsp;</p>
	<p>&nbsp;</p>
	<p align="center"><a href="<?php echo $settings['site_url']; ?>">Back to the main page</a></p>
	<?php
	require_once('footer.txt');
	exit();

}
/* Approve automatically */
else
{
	if ($settings['add_to'] == 0)
	{
	    /* Make sure new link is added after any featured ones */
		$i = 0;
        $was_added = 0;
		foreach ($lines as $thisline)
		{
			list($name2,$email2,$title2,$url2,$recurl2,$description2,$featured2,$pr2)=explode($settings['delimiter'],$thisline);
			$featured2 = $featured2 ? 1 : 0;
			if ($featured2 == 0)
			{
				$lines[$i] = $replacement . $thisline;
                $was_added = 1;
				break;
			}
			$i++;
		}

        if ($was_added)
        {
			$replacement = implode('',$lines);
		    $fp = fopen($settings['linkfile'],'w') or problem('Couldn\'t open links file for writing! Please CHMOD all txt files to 666 (rw-rw-rw)!');
		    flock($fp, LOCK_EX);
		    fputs($fp,$replacement);
		    flock($fp, LOCK_UN);
		    fclose($fp);
        }
		else
		{
		    $fp = fopen($settings['linkfile'],'a') or problem('Couldn\'t open links file for appending! Please CHMOD all txt files to 666 (rw-rw-rw)!');
		    flock($fp, LOCK_EX);
		    fputs($fp,$replacement);
		    flock($fp, LOCK_UN);
		    fclose($fp);
		}
	}
	else
	{
	    $fp = fopen($settings['linkfile'],'a') or problem('Couldn\'t open links file for appending! Please CHMOD all txt files to 666 (rw-rw-rw)!');
	    flock($fp, LOCK_EX);
	    fputs($fp,$replacement);
	    flock($fp, LOCK_UN);
	    fclose($fp);
	}

	if($settings['notify'] == 1)
	{
$message = "Hello,

Someone just added a new link to your links page on $settings[site_url]

Link details:

Name: $name
E-mail: $email
URL: $url
Reciprocal link: $recurl
Title: $title
Description:
$description


End of message

";
	    $headers  = "From: $name <$email>\n";
	    $headers .= "Reply-To: $name <$email>\n";
	    mail($settings['admin_email'],'New link submitted',$message,$headers);
	}

	require_once('header.txt');
	?>
	<p align="center"><b>Your link has been added!</b></p>
	<p>&nbsp;</p>
	<p align="center">Thank you, your link has been successfully added to our link exchange (try reloading our links page if you don't see your link there yet)!</p>
	<p>&nbsp;</p>
	<p>&nbsp;</p>
	<p align="center"><a href="<?php echo $settings['site_url']; ?>">Back to the main page</a></p>
	<?php
	require_once('footer.txt');
	exit();
}


/*** FUNCTION ***/

function problem($problem) {
require_once('header.txt');
echo '
    <p align="center"><font color="#FF0000"><b>ERROR</b></font></p>
    <p>&nbsp;</p>
    <p align="center">'.$problem.'</p>
    <p>&nbsp;</p>
    <p align="center"><a href="javascript:history.go(-1)">Back to the previous page</a></p>
';
require_once('footer.txt');
exit();
}

function print_secimg($message=0) {
global $settings;
$_SESSION['checked']=$settings['filter_sum'];
require_once('header.txt');
?>
<p>&nbsp;</p>

<p align="center"><b>Anti-SPAM check</b></p>

<div align="center"><center>
<table border="0">
<tr>
<td>
    <form action="addlink.php?<?php echo strip_tags(SID); ?>" method="POST" name="form">

    <hr>
    <?php
    if ($message == 1)
    {
        echo '<p align="center"><font color="#FF0000"><b>Please type in the security number</b></font></p>';
    }
    elseif ($message == 2)
    {
        echo '<p align="center"><font color="#FF0000"><b>Wrong security number. Please try again</b></font></p>';
    }
    ?>

    <p>This is a security check that prevents automated signups of this forum (SPAM).
    Please enter the security number displayed below into the input field and click the continue button.</p>

    <p>&nbsp;</p>

    <p>Security number: <b><?php echo $_SESSION['secnum']; ?></b><br>
    Please type in the security number displayed above:
    <input type="text" size="7" name="secnumber" maxlength="5"></p>

    <p>&nbsp;
    <?php
    foreach ($_POST as $k=>$v)
    {
        if ($k == 'secnumber')
        {
            continue;
        }
        echo '<input type="hidden" name="'.htmlspecialchars($k).'" value="'.htmlspecialchars(stripslashes($v)).'">';
    }
    ?>
    </p>

    <p align="center"><input type="submit" value=" Continue "></p>

    <hr>

    </form>
</td>
</tr>
</table>
</center></div>

<p>&nbsp;</p>
<p>&nbsp;</p>

<?php
require_once('footer.txt');
exit();
}

function check_secnum($secnumber,$checksum) {
    global $settings;
    $secnumber .= $settings['filter_sum'].date('dmy');
    if ($secnumber == $checksum)
    {
        unset($_SESSION['checked']);
        return true;
    }
    else
    {
        return false;
    }
}
?>
